# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectFactory

Packages that use ISharedObjectFactory
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of ISharedObjectFactory in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectFactory
Modifier and Type
Class
Description
`class`
`SharedObjectFactory`
Factory for creating `ISharedObject` instances.
Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectFactory
Modifier and Type
Field
Description
`protected static ISharedObjectFactory`
SharedObjectFactory.`instance`
Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectFactory
Modifier and Type
Method
Description
`static ISharedObjectFactory`
SharedObjectFactory.`getDefault()`